Subject: Re: patch(1) (Win32) and path separators
From: Soren A <[email-masked]>
To: [email-masked]
Date: Fri, 22 Nov 2002 17:46:53 +0000 (UTC)

Parish <[email-masked]> wrote around 19 Nov 2002 
news:[email-masked]:

>> Try 'patch -p0 --dry-run < filename'.
> 
> That did it. Thanks Igor :-)
> 
> I'd always assumed that without -p patch obeyed the path in the diff and 
> that -p was only needed if, for example, the path in the diff was 
> absolute and you needed a relative one. I didn't read all of the -p 
> section in the manpage because it didn't seem to be what I needed, but 
> /now/ I've read the last paragraph.

I don't always use a tool like patch frequently enough to remember such 
subtleties, myself. This was a helpful exchange because I was struggling 
with this just yesterday.

{snippo}
> Thanks again for the help.

Yes, thanks!

> Regards,
> 
> Parish (who's going to make 'patch' an alias for 'patch -p0' ;-) )

Me too ;-)

  Soren A

-- 
Yes, it's really Sören, not Soren.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/